#include <gdk/gdkx.h>
#include <gdk-pixbuf/gdk-pixbuf.h>

/* rcrsn51 2012-04-12 ... original code by MU */

GdkPixbuf *im , *im2;

int main(int argc, char **argv) {

 gdk_init(&argc,&argv);

  char *thefile;
  char *outfile;
  char *thescale = "100";
  char *quality = "75";

  if ( argc == 1 ){
 	return 1;
  }
 
  thefile = argv[1];
  outfile = argv[2];
  thescale = argv[3];
  
  float tscale = atoi(thescale);
  
  int zoom_quality = (int)GDK_INTERP_HYPER;

  im2 = gdk_pixbuf_new_from_file ( thefile , NULL);

  float w=0;
  float h=0;

  int neww;
  int newh;

  w=gdk_pixbuf_get_width(im2);
  h=gdk_pixbuf_get_height(im2);
  
  neww=w*tscale/100;
  newh=h*tscale/100;

  im = gdk_pixbuf_scale_simple(im2, neww , newh, (GdkInterpType)zoom_quality);

  gdk_pixbuf_save ( im , outfile , "jpeg" ,NULL, "quality" , quality, NULL);

  gdk_pixbuf_unref(im);
  gdk_pixbuf_unref(im2);	

  return 0;

}

